/v1/auth/logoutLogout by revoking refresh token
Request body
refresh_token*stringRefresh token (JWT)
Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
Response · 204
Logout successful (no content)
Example
Request
POST https://api.platform-auth.productcraft.co/v1/auth/logout
Content-Type: application/json
{
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}import { PlatformAuth } from "@productcraft/platform-auth";
// Reads PRODUCTCRAFT_API_KEY from the environment; administration
// calls take a person's session: { auth: { type: "bearer", token } }
const platform = new PlatformAuth();
await platform.auth.logout({ refresh_token: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." });platform.auth.logout(params, options?): void